
From: William Lee Irwin III <wli@holomorphy.com>

Fix "cast to pointer from integer of a different size".


 arch/i386/kernel/srat.c |    3 ++-
 1 files changed, 2 insertions(+), 1 deletion(-)

diff -puN arch/i386/kernel/srat.c~srat-warning-fix arch/i386/kernel/srat.c
--- 25/arch/i386/kernel/srat.c~srat-warning-fix	2003-05-22 13:17:07.000000000 -0700
+++ 25-akpm/arch/i386/kernel/srat.c	2003-05-22 13:17:07.000000000 -0700
@@ -312,7 +312,8 @@ void __init get_memcfg_from_srat(void)
 
 	if (rsdp_address->pointer_type == ACPI_PHYSICAL_POINTER) {
 		printk("%s: assigning address to rsdp\n", __FUNCTION__);
-		rsdp = (struct acpi_table_rsdp *)rsdp_address->pointer.physical;
+		rsdp = (struct acpi_table_rsdp *)
+				(u32)rsdp_address->pointer.physical;
 	} else {
 		printk("%s: rsdp_address is not a physical pointer\n", __FUNCTION__);
 		return;

_
